/*=========================================================================
   CLPCI core                                        Chiplogic confidential
   
   File name            : bar0_hi_reg.v
   Created on           : 18 Feb 1999
   Function             : Base Address register for memory mapping 
   Author               : Ramaprasad K V
   Revision             : 1.0
   Verified             : no
   Modification History : 

   Instantiated in      : cfg_space.v

   Instantiates         :
   Synthesis check      : not done 
=========================================================================*/
// The Memorybase address upper 4 bytes is located  at address 14h 
// All the bits are read/write 

module bar0_hi_reg ( 
                    I_CLK,
                    I_RST_N,
                    I_in_data,
                    I_reg_sel,
                    I_wr_enb,
                    I_rd_enb,
                    O_out_data,
                    O_mem_base_addr_hi
);


input   		I_CLK ; 
input   		I_RST_N ;
input [31:0] 	I_in_data ;
input   		I_reg_sel ;
input   		I_wr_enb ;
input   		I_rd_enb ;
output [31:0]  	O_out_data ;
output [31:0]  	O_mem_base_addr_hi ;

wire [31:0] register_val ;
wire wr_enab ;
assign wr_enab = I_wr_enb & I_reg_sel ;

// Instantiate a multi -bit read/write register with width 32
//multi_bit_reg #(32)  U1
reg_32 U1

      (
                        .I_RST_N (I_RST_N), 
                        .I_in_val ( I_in_data),
                        .I_CLK (I_CLK),
                        .I_wr_enb (wr_enab),
                        .O_out_val (register_val)
);


assign O_out_data  = register_val ;
assign O_mem_base_addr_hi = register_val ;

endmodule 
