/*=========================================================================
   CLPCI core                                        Chiplogic confidential
   
   File name            : intr_reg.v
   Created on           : 4th Mar 99
   Function             : PCI interrupt register at address 3Ch
                          Max lat and Min gnt bytes not implemented
   Author               : Ramaprasad K V
   Revision             : 
   Verified             : yes/no
   Modification History : 

   Instantiated in      : 

   Instantiates         :
   Synthesis check      : done/not done 
=========================================================================*/

module intr_reg (

                       I_RST_N,
                       I_CLK,
                       I_reg_sel,
                       I_in_data,
                       I_wr_enb,
                       O_out_data

);

input			I_RST_N;
input			I_CLK;
input			I_reg_sel;
input			I_wr_enb;
input  [31:0]	I_in_data;
output [31:0]	O_out_data;

wire [31:0] intr_reg_val ;

assign intr_reg_val[31:16] = 16'h0000 ;  // Max lat & Min gnt lot implemented 
assign intr_reg_val[15:8] = 8'b00000001 ; // Intr pin reg - indicates single 
									      // interrupt line connected to INTA

assign O_out_data = intr_reg_val ;

// following bits for rge interrupt line byte ; 0 at reset 
// This value is not uses inside the core. The system soft
//ware might right some value into it to help in interrupt routing

reg_bit_0 bit7 (
                I_RST_N,
                I_in_data[7],
                I_CLK,
                wr_enb,
                intr_reg_val[7]);

reg_bit_0 bit6 (
                I_RST_N,
                I_in_data[6],
                I_CLK,
                wr_enb,
                intr_reg_val[6]);


reg_bit_0 bit5 (
                I_RST_N,
                I_in_data[5],
                I_CLK,
                wr_enb,
                intr_reg_val[5]);


reg_bit_0 bit4 (
                I_RST_N,
                I_in_data[4],
                I_CLK,
                wr_enb,
                intr_reg_val[4]);

reg_bit_0 bit3 (
                I_RST_N,
                I_in_data[3],
                I_CLK,
                wr_enb,
                intr_reg_val[3]);


reg_bit_0 bit2 (
                I_RST_N,
                I_in_data[2],
                I_CLK,
                wr_enb,
                intr_reg_val[2]);


reg_bit_0 bit1 (
                I_RST_N,
                I_in_data[1],
                I_CLK,
                wr_enb,
                intr_reg_val[1]);

reg_bit_0 bit0 (
                I_RST_N,
                I_in_data[0],
                I_CLK,
                wr_enb,
                intr_reg_val[0]);
endmodule
