/*=========================================================================
   CLPCI core                                        Chiplogic confidential
   
   File name            : multi_bit_reg.v 
   Created on           : 18 Feb 1999
   Function             : Models a multi bit read/write register; default 0
                          Default width  32. Can be changed at instance
   Author               : Ramaprasad K V
   Revision             : 1.0
   Verified             : no
   Modification History : 

   Instantiated in      : 

   Instantiates         :
   Synthesis check      : not done 
=========================================================================*/
`include "header.h"
module reg_20 (
                        I_RST_N,
                        I_in_val,
                        I_CLK,
                        I_wr_enb,
                        O_out_val);

parameter width = 20 ;
//parameter width = `width32 ;

input I_RST_N ;
input I_CLK ;
input I_wr_enb ;

input [width-1 :0] I_in_val ;
output [width-1 :0] O_out_val ;


reg [width -1: 0] O_out_val ;


// Writes happen at a clock edge when I_wr_enb is asserted.

always@(negedge I_RST_N or posedge I_CLK)
begin
if (I_RST_N==0) 
   O_out_val <= 1'b0 ;
else
   begin 
   if (I_wr_enb ==1'b1)
      O_out_val[width-1:0] <= I_in_val[width-1:0] ;
   end 
end

endmodule
