/*=========================================================================
   CLPCI core                                        Chiplogic confidential
   
   File name            : reg_bit_0.v
   Created on           : 16 Feb 1999
   Function             : Models a read/write register bit with default 0 
   Author               : Ramaprasad K V
   Revision             : 1.0
   Verified             : no
   Modification History : 

   Instantiated in      :  

   Instantiates         : No instantiations in this module

   Synthesis check      : not done 
=========================================================================*/

// Models a read -write register bit. Value at reset 0. Will be written 
// whenever the I_wr_enb is asserted at a clock rising edge 

module reg_bit_0 (
                I_RST_N,
                I_in_val,
                I_CLK,
                I_wr_enb,
                O_out_val);

input I_RST_N ;
input I_in_val ;
input I_CLK ;  
input I_wr_enb ; 

output O_out_val ;

reg O_out_val ;

// Writes happen at a clock edge when I_wr_enb is asserted.

always@(negedge I_RST_N or posedge I_CLK)
begin
if (I_RST_N==0) 
   O_out_val <= 1'b0 ;
else
   begin 
   if (I_wr_enb ==1'b1)
      O_out_val <= I_in_val ;
   end 
end

endmodule
