/*=========================================================================
   CLPCI core                                        Chiplogic confidential
   
   File name            : sts_bit_0.v
   Created on           : 17 Feb 1999
   Function             : Models a status register bit with default value 0
   Author               : Ramaprasad K V
   Revision             : 
   Verified             : no
   Modification History : 

   Instantiated in      : 
   4 Mar 99				  Naming conventions according to guidelines
   Instantiates         :
   Synthesis check      : not done 
=========================================================================*/

module sts_bit_0 (
                       I_RST_N,
                       I_set_bit,
                       I_in_val,
                       I_CLK,
                       I_wr_enb,
                       I_rd_enb,
                       O_out_val);

input I_RST_N;
input I_in_val;
inout I_CLK;
input I_wr_enb;
inout I_rd_enb;
input I_set_bit;
output O_out_val ;

reg out_bit ;

always@(negedge I_RST_N or posedge I_CLK)
begin
if (I_RST_N==0) 
   out_bit <= 1'b0 ;
else
   if (I_set_bit==1'b1)
      out_bit <= 1'b1 ;
   else
      if ((I_wr_enb ==1'b1) & (I_in_val ==1'b1))
         out_bit <= 0 ;
end

assign O_out_val = out_bit ;

endmodule
