/*=========================================================================
   CLPCI core                                        Chiplogic confidential
   
   File name            : tgt_wr_dp.v
   Created on           : 8th March 99
   Function             : Target write data path
   Author               : Ramaprasad K V
   Revision             : 
   Verified             : no
   Modification History : 

   Instantiated in      : 

   Instantiates         :
   Synthesis check      : not done 
=========================================================================*/


module tgt_wr_dp (

					I_RST_N,
					I_CLK,

                    I_in_data_lo,
                    I_in_data_hi,
                    I_devsel_N ,

                    O_latched_data_lo,
                    O_latched_data_hi


);

input    I_RST_N ;
input    I_CLK ;

input [63:32]   I_in_data_hi ;
input [31:0]    I_in_data_lo ;

input I_devsel_N ;


output [63:32]   O_latched_data_hi ;
output [31:0]    O_latched_data_lo ;

reg [63:32]   O_latched_data_hi ;
reg [31:0]    O_latched_data_lo ;
always@(posedge I_CLK or negedge I_RST_N)
begin

if (!I_RST_N)
   begin

      O_latched_data_hi <= 32'b0 ;
      O_latched_data_lo <= 32'b0 ;
   end 
else
   if (!I_devsel_N)  // when the target is selected 
      begin

         O_latched_data_hi <= I_in_data_hi ; 
         O_latched_data_lo <= I_in_data_lo ;
      end
end 


endmodule 
